initPassword:
  enabled: true
  password: ""
  passwordSecret: starrocks-root-pass

timeZone: Asia/Seoul

starrocksCluster:
  enabledBe: false
  enabledCn: true

starrocksFESpec:
  replicas: 3
  service:
    type: ClusterIP
  resources:
    requests:
      cpu: 1
      memory: 1Gi
  storageSpec:
    name: fe
    storageClassName: ""
    storageSize: 10Gi
    logStorageSize: 5Gi
  
  nodeSelector: {}
  affinity: {}
  tolerations: []
  
  config: |
    # enable shared data, set storage type, set endpoint
    run_mode = shared_data
    cloud_native_storage_type = S3
    aws_s3_endpoint = minio.minio.svc.cluster.local:9000

    # set the path in MinIO
    aws_s3_path = starrocks

    # credentials for MinIO object read/write
    aws_s3_access_key = npLtq574rD9scLanDJCW
    aws_s3_secret_key = jNW2dsu19y7Icb2gLBqId3xA4C2jErxJ0FQqbxXm
    aws_s3_use_instance_profile = false
    aws_s3_use_aws_sdk_default_behavior = false

    enable_load_volume_from_conf = true


starrocksCnSpec:
  replicas: 3
  resources:
    requests:
      cpu: 1
      memory: 2Gi
  storageSpec:
    name: be 
    storageSize: 15Gi      # default : 1Ti
    logStorageSize: 10Gi   # default : 20Gi
  nodeSelector: {}
  affinity: {}
  tolerations: []
  autoScalingPolicy: {}


starrocksFeProxySpec:
  enabled: true
  # set the resolver for nginx server, default kube-dns.kube-system.svc.cluster.local
  resolver: "rke2-coredns-rke2-coredns.kube-system.svc.cluster.local"
  service:
    type: ClusterIP